Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer.plaf
Class BasicAlignmentViewerUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--uk.ac.man.bioinf.gui.viewer.plaf.AlignmentViewerUI
                  |
                  +--uk.ac.man.bioinf.gui.viewer.plaf.BasicAlignmentViewerUI

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener, PropertyChangeListener

Direct Known Subclasses:
  MetalAlignmentViewerUI

public class BasicAlignmentViewerUI
extends AlignmentViewerUI
implements PropertyChangeListener, MouseInputListener

BasicAlignmentViewerUI.java Created: Tue Mar 14 16:30:36 2000

Version:
  $Id: BasicAlignmentViewerUI.java,v 1.28 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Nested Class Summary
`class` | `BasicAlignmentViewerUI.KeyScroller`
`class` | `BasicAlignmentViewerUI.PointListener`
`class` | `BasicAlignmentViewerUI.SelectionClearer`
`class` | `BasicAlignmentViewerUI.SelectionToggler`

Constructor Summary
`BasicAlignmentViewerUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent comp)`
`Rectangle` | `getCellBounds(SequenceAlignmentPoint point)`
`Rectangle` | `getCellBounds(SequenceAlignmentPoint point, Rectangle rect)`
`Point` | `getPointAtSequencePoint(int x, int y)`
`Point` | `getPointAtSequencePoint(SequenceAlignmentPoint point)`
`SequenceAlignmentRectangle` | `getSequenceAlignmentRectangleAtRectangle(Rectangle rect)`
`SequenceAlignmentPoint` | `getSequencePointAtPoint(int x, int y)`
`protected void` | `installKeyboardActions(JAlignmentViewer viewer)`
`void` | `installListeners()`
`void` | `installUI(JComponent comp)`
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `paint(Graphics g, JComponent c)`
`protected void` | `paintCells(Graphics g, JComponent c)`
`Rectangle` | `paintFocusRect(Graphics g, Rectangle rect)`
`protected void` | `paintImmediately(SequenceAlignmentPoint point)`
`protected void` | `paintSelection(Graphics g, JComponent c)`
`void` | `propertyChange(PropertyChangeEvent pce)`
`protected void` | `registerKey(int keyEvent, int direction)`
`protected void` | `registerKey(String keyEvent, int direction)`
`protected void` | `renderCell(Graphics g, int currX, int currY, int cellWidth, int cellHeight, Rectangle rect, SequenceAlignmentPoint rendererLocation, Element element)`
`protected void` | `repaint(SequenceAlignmentPoint point)`
`void` | `setCursorBlink()`
`void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent comp)`
`void` | `unsetCursorBlink()`

Methods inherited from class uk.ac.man.bioinf.gui.viewer.plaf.AlignmentViewerUI
`getSequencePointAtPoint`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAlignmentViewerUI

    public BasicAlignmentViewerUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent comp)

### installUI

    public void installUI(JComponent comp)

  Overrides:
    `installUI` in class `ComponentUI`

### uninstallUI

    public void uninstallUI(JComponent comp)

  Overrides:
    `uninstallUI` in class `ComponentUI`

### installListeners

    public void installListeners()

### uninstallListeners

    public void uninstallListeners()

### paintFocusRect

    public Rectangle paintFocusRect(Graphics g,
                                    Rectangle rect)

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `ComponentUI`

### paintCells

    protected void paintCells(Graphics g,
                              JComponent c)

### paintSelection

    protected void paintSelection(Graphics g,
                                  JComponent c)

### repaint

    protected void repaint(SequenceAlignmentPoint point)

### paintImmediately

    protected void paintImmediately(SequenceAlignmentPoint point)

### renderCell

    protected void renderCell(Graphics g,
                              int currX,
                              int currY,
                              int cellWidth,
                              int cellHeight,
                              Rectangle rect,
                              SequenceAlignmentPoint rendererLocation,
                              Element element)

### getSequenceAlignmentRectangleAtRectangle

    public SequenceAlignmentRectangle getSequenceAlignmentRectangleAtRectangle(Rectangle rect)

### getSequencePointAtPoint

    public SequenceAlignmentPoint getSequencePointAtPoint(int x,
                                                          int y)

  Specified by:
    `getSequencePointAtPoint` in class `AlignmentViewerUI`

### getPointAtSequencePoint

    public Point getPointAtSequencePoint(int x,
                                         int y)

  Specified by:
    `getPointAtSequencePoint` in class `AlignmentViewerUI`

### getPointAtSequencePoint

    public Point getPointAtSequencePoint(SequenceAlignmentPoint point)

  Overrides:
    `getPointAtSequencePoint` in class `AlignmentViewerUI`

### getCellBounds

    public Rectangle getCellBounds(SequenceAlignmentPoint point)

  Specified by:
    `getCellBounds` in class `AlignmentViewerUI`

### getCellBounds

    public Rectangle getCellBounds(SequenceAlignmentPoint point,
                                   Rectangle rect)

### setCursorBlink

    public void setCursorBlink()

### unsetCursorBlink

    public void unsetCursorBlink()

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### installKeyboardActions

    protected void installKeyboardActions(JAlignmentViewer viewer)

### registerKey

    protected void registerKey(String keyEvent,
                               int direction)

### registerKey

    protected void registerKey(int keyEvent,
                               int direction)

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD